Subject: new cotton index site

From: "M. Ibrahim" <[email-masked]>
Date: Tue, 12 Mar 1996 14:41:00 -0800

Greetings
	KING COTTON is the first WWW index that we know of exclusively 
devoted to
cotton. We will do our utmost to present all know informational
sites on the web related to cotton. We will also solicit and publish
articles on cotton, so if you are interested in submitting material,
please e-mail at: [email-masked]
	In addition, you may submit your URL here for inclusion in our 
index. All sites added will be
reviewed. Please do not submit strictly commercial sites - part of our
criteria is that sites must present useful information on cotton or
cotton farming. We hope that you find our King Cotton Links index useful. 

http://interoz.com/COTTON/KING.htm